import * as i0 from '@angular/core';
import { Pipe, NgModule } from '@angular/core';
import * as i1 from '@angular/platform-browser';
import { BrowserModule } from '@angular/platform-browser';

class KeywordsTextPipe {
    constructor(sanitizer) {
        this.sanitizer = sanitizer;
    }
    transform(value, keywords) {
        let result = value;
        keywords.forEach(k => {
            k.keywords.forEach(ky => {
                result = result.replace(ky, "<span style=\"color:" + k.color + "\">" + ky + "</span>");
            });
        });
        return this.sanitizer.bypassSecurityTrustHtml(result);
        ;
    }
}
KeywordsTextPipe.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.0.3", ngImport: i0, type: KeywordsTextPipe, deps: [{ token: i1.DomSanitizer }], target: i0.ɵɵFactoryTarget.Pipe });
KeywordsTextPipe.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "12.0.0", version: "13.0.3", ngImport: i0, type: KeywordsTextPipe, name: "kh" });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.0.3", ngImport: i0, type: KeywordsTextPipe, decorators: [{
            type: Pipe,
            args: [{ name: 'kh' }]
        }], ctorParameters: function () { return [{ type: i1.DomSanitizer }]; } });

class KeywordsModule {
}
KeywordsModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.0.3", ngImport: i0, type: KeywordsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
KeywordsModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.0.3", ngImport: i0, type: KeywordsModule, declarations: [KeywordsTextPipe], imports: [BrowserModule], exports: [KeywordsTextPipe] });
KeywordsModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.0.3", ngImport: i0, type: KeywordsModule, providers: [], imports: [[
            BrowserModule,
        ]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.0.3", ngImport: i0, type: KeywordsModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        KeywordsTextPipe
                    ],
                    imports: [
                        BrowserModule,
                    ],
                    providers: [],
                    exports: [KeywordsTextPipe]
                }]
        }] });

/*
 * Public API Surface of keywords-highlighter
 */

/**
 * Generated bundle index. Do not edit.
 */

export { KeywordsModule, KeywordsTextPipe };
//# sourceMappingURL=keywords-highlighter.mjs.map
